Subject: Re: [PATCH] rt2x00: no need to check return value of debugfs_create functions

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 3 Jul 2019 13:08:10 +0200

On Wed, Jul 03, 2019 at 12:58:00PM +0200, Stanislaw Gruszka wrote:
> On Wed, Jul 03, 2019 at 08:56:31AM +0200, Greg Kroah-Hartman wrote:
> > When calling debugfs functions, there is no need to ever check the
> > return value.  The function can work or not, but the code logic should
> > never do something different based on this.
> > 
> > Because we don't need to save the individual debugfs files and
> > directories, remove the local storage of them and just remove the entire
> > debugfs directory in a single call, making things a lot simpler.
> > 
> > Cc: Stanislaw Gruszka <[email-masked]>
> > Cc: Helmut Schaa <[email-masked]>
> > Cc: Kalle Valo <[email-masked]>
> > Cc: "David S. Miller" <[email-masked]>
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> > ---
> >  .../net/wireless/ralink/rt2x00/rt2x00debug.c  | 100 ++++--------------
> >  1 file changed, 23 insertions(+), 77 deletions(-)
> 
> This patch will not apply on wireless-drivers-next due to my recent
> change which add new debugfs file:
> 
> commit e7f15d58dfe43f18199251f430d7713b0b8fad34
> Author: Stanislaw Gruszka <[email-masked]>
> Date:   Thu May 2 11:07:00 2019 +0200
> 
>     rt2x00: add restart hw
> 
> Could you please rebase the patch ? (I can do this as well
> if you want me to).

No problem, I can rebase and redo it, I'll go suck down the
wireless-drivers-next tree and resend it, thanks for leting me know.

greg k-h